/**
 */
package WorkflowLog;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EDataType;
import org.eclipse.emf.ecore.EEnum;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each operation of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see WorkflowLog.WorkflowLogFactory
 * @model kind="package"
 *        extendedMetaData="qualified='false'"
 * @generated
 */
public interface WorkflowLogPackage extends EPackage {
	/**
	 * The package name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNAME = "WorkflowLog";

	/**
	 * The package namespace URI.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_URI = "platform:/resource/PM_Metamodel/model/WorkflowLog.xsd";

	/**
	 * The package namespace name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_PREFIX = "WorkflowLog";

	/**
	 * The singleton instance of the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	WorkflowLogPackage eINSTANCE = WorkflowLog.impl.WorkflowLogPackageImpl.init();

	/**
	 * The meta object id for the '{@link WorkflowLog.impl.AttributeTypeImpl <em>Attribute Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see WorkflowLog.impl.AttributeTypeImpl
	 * @see WorkflowLog.impl.WorkflowLogPackageImpl#getAttributeType()
	 * @generated
	 */
	int ATTRIBUTE_TYPE = 0;

	/**
	 * The feature id for the '<em><b>Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ATTRIBUTE_TYPE__VALUE = 0;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ATTRIBUTE_TYPE__NAME = 1;

	/**
	 * The number of structural features of the '<em>Attribute Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ATTRIBUTE_TYPE_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>Attribute Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ATTRIBUTE_TYPE_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link WorkflowLog.impl.AuditTrailEntryTypeImpl <em>Audit Trail Entry Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see WorkflowLog.impl.AuditTrailEntryTypeImpl
	 * @see WorkflowLog.impl.WorkflowLogPackageImpl#getAuditTrailEntryType()
	 * @generated
	 */
	int AUDIT_TRAIL_ENTRY_TYPE = 1;

	/**
	 * The feature id for the '<em><b>Data</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AUDIT_TRAIL_ENTRY_TYPE__DATA = 0;

	/**
	 * The feature id for the '<em><b>Workflow Model Element</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AUDIT_TRAIL_ENTRY_TYPE__WORKFLOW_MODEL_ELEMENT = 1;

	/**
	 * The feature id for the '<em><b>Event Type</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AUDIT_TRAIL_ENTRY_TYPE__EVENT_TYPE = 2;

	/**
	 * The feature id for the '<em><b>Timestamp</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AUDIT_TRAIL_ENTRY_TYPE__TIMESTAMP = 3;

	/**
	 * The feature id for the '<em><b>Originator</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AUDIT_TRAIL_ENTRY_TYPE__ORIGINATOR = 4;

	/**
	 * The number of structural features of the '<em>Audit Trail Entry Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AUDIT_TRAIL_ENTRY_TYPE_FEATURE_COUNT = 5;

	/**
	 * The number of operations of the '<em>Audit Trail Entry Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AUDIT_TRAIL_ENTRY_TYPE_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link WorkflowLog.impl.DataTypeImpl <em>Data Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see WorkflowLog.impl.DataTypeImpl
	 * @see WorkflowLog.impl.WorkflowLogPackageImpl#getDataType()
	 * @generated
	 */
	int DATA_TYPE = 2;

	/**
	 * The feature id for the '<em><b>Attribute</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_TYPE__ATTRIBUTE = 0;

	/**
	 * The number of structural features of the '<em>Data Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_TYPE_FEATURE_COUNT = 1;

	/**
	 * The number of operations of the '<em>Data Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_TYPE_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link WorkflowLog.impl.DocumentRootImpl <em>Document Root</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see WorkflowLog.impl.DocumentRootImpl
	 * @see WorkflowLog.impl.WorkflowLogPackageImpl#getDocumentRoot()
	 * @generated
	 */
	int DOCUMENT_ROOT = 3;

	/**
	 * The feature id for the '<em><b>Mixed</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOCUMENT_ROOT__MIXED = 0;

	/**
	 * The feature id for the '<em><b>XMLNS Prefix Map</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOCUMENT_ROOT__XMLNS_PREFIX_MAP = 1;

	/**
	 * The feature id for the '<em><b>XSI Schema Location</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOCUMENT_ROOT__XSI_SCHEMA_LOCATION = 2;

	/**
	 * The feature id for the '<em><b>Audit Trail Entry</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOCUMENT_ROOT__AUDIT_TRAIL_ENTRY = 3;

	/**
	 * The feature id for the '<em><b>Data</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOCUMENT_ROOT__DATA = 4;

	/**
	 * The feature id for the '<em><b>Process</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOCUMENT_ROOT__PROCESS = 5;

	/**
	 * The feature id for the '<em><b>Process Instance</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOCUMENT_ROOT__PROCESS_INSTANCE = 6;

	/**
	 * The feature id for the '<em><b>Source</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOCUMENT_ROOT__SOURCE = 7;

	/**
	 * The feature id for the '<em><b>Workflow Log</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOCUMENT_ROOT__WORKFLOW_LOG = 8;

	/**
	 * The number of structural features of the '<em>Document Root</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOCUMENT_ROOT_FEATURE_COUNT = 9;

	/**
	 * The number of operations of the '<em>Document Root</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOCUMENT_ROOT_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link WorkflowLog.impl.EventTypeTypeImpl <em>Event Type Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see WorkflowLog.impl.EventTypeTypeImpl
	 * @see WorkflowLog.impl.WorkflowLogPackageImpl#getEventTypeType()
	 * @generated
	 */
	int EVENT_TYPE_TYPE = 4;

	/**
	 * The feature id for the '<em><b>Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_TYPE_TYPE__VALUE = 0;

	/**
	 * The feature id for the '<em><b>Unknowntype</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_TYPE_TYPE__UNKNOWNTYPE = 1;

	/**
	 * The number of structural features of the '<em>Event Type Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_TYPE_TYPE_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>Event Type Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_TYPE_TYPE_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link WorkflowLog.impl.ProcessInstanceTypeImpl <em>Process Instance Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see WorkflowLog.impl.ProcessInstanceTypeImpl
	 * @see WorkflowLog.impl.WorkflowLogPackageImpl#getProcessInstanceType()
	 * @generated
	 */
	int PROCESS_INSTANCE_TYPE = 5;

	/**
	 * The feature id for the '<em><b>Data</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_INSTANCE_TYPE__DATA = 0;

	/**
	 * The feature id for the '<em><b>Audit Trail Entry</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_INSTANCE_TYPE__AUDIT_TRAIL_ENTRY = 1;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_INSTANCE_TYPE__DESCRIPTION = 2;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_INSTANCE_TYPE__ID = 3;

	/**
	 * The number of structural features of the '<em>Process Instance Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_INSTANCE_TYPE_FEATURE_COUNT = 4;

	/**
	 * The number of operations of the '<em>Process Instance Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_INSTANCE_TYPE_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link WorkflowLog.impl.ProcessTypeImpl <em>Process Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see WorkflowLog.impl.ProcessTypeImpl
	 * @see WorkflowLog.impl.WorkflowLogPackageImpl#getProcessType()
	 * @generated
	 */
	int PROCESS_TYPE = 6;

	/**
	 * The feature id for the '<em><b>Data</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_TYPE__DATA = 0;

	/**
	 * The feature id for the '<em><b>Process Instance</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_TYPE__PROCESS_INSTANCE = 1;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_TYPE__DESCRIPTION = 2;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_TYPE__ID = 3;

	/**
	 * The number of structural features of the '<em>Process Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_TYPE_FEATURE_COUNT = 4;

	/**
	 * The number of operations of the '<em>Process Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_TYPE_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link WorkflowLog.impl.SourceTypeImpl <em>Source Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see WorkflowLog.impl.SourceTypeImpl
	 * @see WorkflowLog.impl.WorkflowLogPackageImpl#getSourceType()
	 * @generated
	 */
	int SOURCE_TYPE = 7;

	/**
	 * The feature id for the '<em><b>Data</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SOURCE_TYPE__DATA = 0;

	/**
	 * The feature id for the '<em><b>Program</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SOURCE_TYPE__PROGRAM = 1;

	/**
	 * The number of structural features of the '<em>Source Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SOURCE_TYPE_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>Source Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SOURCE_TYPE_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link WorkflowLog.impl.TimestampTypeImpl <em>Timestamp Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see WorkflowLog.impl.TimestampTypeImpl
	 * @see WorkflowLog.impl.WorkflowLogPackageImpl#getTimestampType()
	 * @generated
	 */
	int TIMESTAMP_TYPE = 8;

	/**
	 * The feature id for the '<em><b>Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIMESTAMP_TYPE__VALUE = 0;

	/**
	 * The number of structural features of the '<em>Timestamp Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIMESTAMP_TYPE_FEATURE_COUNT = 1;

	/**
	 * The number of operations of the '<em>Timestamp Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIMESTAMP_TYPE_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link WorkflowLog.impl.WorkflowLogTypeImpl <em>Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see WorkflowLog.impl.WorkflowLogTypeImpl
	 * @see WorkflowLog.impl.WorkflowLogPackageImpl#getWorkflowLogType()
	 * @generated
	 */
	int WORKFLOW_LOG_TYPE = 9;

	/**
	 * The feature id for the '<em><b>Data</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WORKFLOW_LOG_TYPE__DATA = 0;

	/**
	 * The feature id for the '<em><b>Source</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WORKFLOW_LOG_TYPE__SOURCE = 1;

	/**
	 * The feature id for the '<em><b>Process</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WORKFLOW_LOG_TYPE__PROCESS = 2;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WORKFLOW_LOG_TYPE__DESCRIPTION = 3;

	/**
	 * The number of structural features of the '<em>Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WORKFLOW_LOG_TYPE_FEATURE_COUNT = 4;

	/**
	 * The number of operations of the '<em>Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WORKFLOW_LOG_TYPE_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link WorkflowLog.Eventtypes <em>Eventtypes</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see WorkflowLog.Eventtypes
	 * @see WorkflowLog.impl.WorkflowLogPackageImpl#getEventtypes()
	 * @generated
	 */
	int EVENTTYPES = 10;

	/**
	 * The meta object id for the '<em>Eventtypes Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see WorkflowLog.Eventtypes
	 * @see WorkflowLog.impl.WorkflowLogPackageImpl#getEventtypesObject()
	 * @generated
	 */
	int EVENTTYPES_OBJECT = 11;


	/**
	 * Returns the meta object for class '{@link WorkflowLog.AttributeType <em>Attribute Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Attribute Type</em>'.
	 * @see WorkflowLog.AttributeType
	 * @generated
	 */
	EClass getAttributeType();

	/**
	 * Returns the meta object for the attribute '{@link WorkflowLog.AttributeType#getValue <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Value</em>'.
	 * @see WorkflowLog.AttributeType#getValue()
	 * @see #getAttributeType()
	 * @generated
	 */
	EAttribute getAttributeType_Value();

	/**
	 * Returns the meta object for the attribute '{@link WorkflowLog.AttributeType#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see WorkflowLog.AttributeType#getName()
	 * @see #getAttributeType()
	 * @generated
	 */
	EAttribute getAttributeType_Name();

	/**
	 * Returns the meta object for class '{@link WorkflowLog.AuditTrailEntryType <em>Audit Trail Entry Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Audit Trail Entry Type</em>'.
	 * @see WorkflowLog.AuditTrailEntryType
	 * @generated
	 */
	EClass getAuditTrailEntryType();

	/**
	 * Returns the meta object for the containment reference '{@link WorkflowLog.AuditTrailEntryType#getData <em>Data</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Data</em>'.
	 * @see WorkflowLog.AuditTrailEntryType#getData()
	 * @see #getAuditTrailEntryType()
	 * @generated
	 */
	EReference getAuditTrailEntryType_Data();

	/**
	 * Returns the meta object for the attribute '{@link WorkflowLog.AuditTrailEntryType#getWorkflowModelElement <em>Workflow Model Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Workflow Model Element</em>'.
	 * @see WorkflowLog.AuditTrailEntryType#getWorkflowModelElement()
	 * @see #getAuditTrailEntryType()
	 * @generated
	 */
	EAttribute getAuditTrailEntryType_WorkflowModelElement();

	/**
	 * Returns the meta object for the containment reference '{@link WorkflowLog.AuditTrailEntryType#getEventType <em>Event Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Event Type</em>'.
	 * @see WorkflowLog.AuditTrailEntryType#getEventType()
	 * @see #getAuditTrailEntryType()
	 * @generated
	 */
	EReference getAuditTrailEntryType_EventType();

	/**
	 * Returns the meta object for the containment reference '{@link WorkflowLog.AuditTrailEntryType#getTimestamp <em>Timestamp</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Timestamp</em>'.
	 * @see WorkflowLog.AuditTrailEntryType#getTimestamp()
	 * @see #getAuditTrailEntryType()
	 * @generated
	 */
	EReference getAuditTrailEntryType_Timestamp();

	/**
	 * Returns the meta object for the attribute '{@link WorkflowLog.AuditTrailEntryType#getOriginator <em>Originator</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Originator</em>'.
	 * @see WorkflowLog.AuditTrailEntryType#getOriginator()
	 * @see #getAuditTrailEntryType()
	 * @generated
	 */
	EAttribute getAuditTrailEntryType_Originator();

	/**
	 * Returns the meta object for class '{@link WorkflowLog.DataType <em>Data Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Data Type</em>'.
	 * @see WorkflowLog.DataType
	 * @generated
	 */
	EClass getDataType();

	/**
	 * Returns the meta object for the containment reference list '{@link WorkflowLog.DataType#getAttribute <em>Attribute</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Attribute</em>'.
	 * @see WorkflowLog.DataType#getAttribute()
	 * @see #getDataType()
	 * @generated
	 */
	EReference getDataType_Attribute();

	/**
	 * Returns the meta object for class '{@link WorkflowLog.DocumentRoot <em>Document Root</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Document Root</em>'.
	 * @see WorkflowLog.DocumentRoot
	 * @generated
	 */
	EClass getDocumentRoot();

	/**
	 * Returns the meta object for the attribute list '{@link WorkflowLog.DocumentRoot#getMixed <em>Mixed</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute list '<em>Mixed</em>'.
	 * @see WorkflowLog.DocumentRoot#getMixed()
	 * @see #getDocumentRoot()
	 * @generated
	 */
	EAttribute getDocumentRoot_Mixed();

	/**
	 * Returns the meta object for the map '{@link WorkflowLog.DocumentRoot#getXMLNSPrefixMap <em>XMLNS Prefix Map</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the map '<em>XMLNS Prefix Map</em>'.
	 * @see WorkflowLog.DocumentRoot#getXMLNSPrefixMap()
	 * @see #getDocumentRoot()
	 * @generated
	 */
	EReference getDocumentRoot_XMLNSPrefixMap();

	/**
	 * Returns the meta object for the map '{@link WorkflowLog.DocumentRoot#getXSISchemaLocation <em>XSI Schema Location</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the map '<em>XSI Schema Location</em>'.
	 * @see WorkflowLog.DocumentRoot#getXSISchemaLocation()
	 * @see #getDocumentRoot()
	 * @generated
	 */
	EReference getDocumentRoot_XSISchemaLocation();

	/**
	 * Returns the meta object for the containment reference '{@link WorkflowLog.DocumentRoot#getAuditTrailEntry <em>Audit Trail Entry</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Audit Trail Entry</em>'.
	 * @see WorkflowLog.DocumentRoot#getAuditTrailEntry()
	 * @see #getDocumentRoot()
	 * @generated
	 */
	EReference getDocumentRoot_AuditTrailEntry();

	/**
	 * Returns the meta object for the containment reference '{@link WorkflowLog.DocumentRoot#getData <em>Data</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Data</em>'.
	 * @see WorkflowLog.DocumentRoot#getData()
	 * @see #getDocumentRoot()
	 * @generated
	 */
	EReference getDocumentRoot_Data();

	/**
	 * Returns the meta object for the containment reference '{@link WorkflowLog.DocumentRoot#getProcess <em>Process</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Process</em>'.
	 * @see WorkflowLog.DocumentRoot#getProcess()
	 * @see #getDocumentRoot()
	 * @generated
	 */
	EReference getDocumentRoot_Process();

	/**
	 * Returns the meta object for the containment reference '{@link WorkflowLog.DocumentRoot#getProcessInstance <em>Process Instance</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Process Instance</em>'.
	 * @see WorkflowLog.DocumentRoot#getProcessInstance()
	 * @see #getDocumentRoot()
	 * @generated
	 */
	EReference getDocumentRoot_ProcessInstance();

	/**
	 * Returns the meta object for the containment reference '{@link WorkflowLog.DocumentRoot#getSource <em>Source</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Source</em>'.
	 * @see WorkflowLog.DocumentRoot#getSource()
	 * @see #getDocumentRoot()
	 * @generated
	 */
	EReference getDocumentRoot_Source();

	/**
	 * Returns the meta object for the containment reference '{@link WorkflowLog.DocumentRoot#getWorkflowLog <em>Workflow Log</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Workflow Log</em>'.
	 * @see WorkflowLog.DocumentRoot#getWorkflowLog()
	 * @see #getDocumentRoot()
	 * @generated
	 */
	EReference getDocumentRoot_WorkflowLog();

	/**
	 * Returns the meta object for class '{@link WorkflowLog.EventTypeType <em>Event Type Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Event Type Type</em>'.
	 * @see WorkflowLog.EventTypeType
	 * @generated
	 */
	EClass getEventTypeType();

	/**
	 * Returns the meta object for the attribute '{@link WorkflowLog.EventTypeType#getValue <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Value</em>'.
	 * @see WorkflowLog.EventTypeType#getValue()
	 * @see #getEventTypeType()
	 * @generated
	 */
	EAttribute getEventTypeType_Value();

	/**
	 * Returns the meta object for the attribute '{@link WorkflowLog.EventTypeType#getUnknowntype <em>Unknowntype</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Unknowntype</em>'.
	 * @see WorkflowLog.EventTypeType#getUnknowntype()
	 * @see #getEventTypeType()
	 * @generated
	 */
	EAttribute getEventTypeType_Unknowntype();

	/**
	 * Returns the meta object for class '{@link WorkflowLog.ProcessInstanceType <em>Process Instance Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Process Instance Type</em>'.
	 * @see WorkflowLog.ProcessInstanceType
	 * @generated
	 */
	EClass getProcessInstanceType();

	/**
	 * Returns the meta object for the containment reference '{@link WorkflowLog.ProcessInstanceType#getData <em>Data</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Data</em>'.
	 * @see WorkflowLog.ProcessInstanceType#getData()
	 * @see #getProcessInstanceType()
	 * @generated
	 */
	EReference getProcessInstanceType_Data();

	/**
	 * Returns the meta object for the containment reference list '{@link WorkflowLog.ProcessInstanceType#getAuditTrailEntry <em>Audit Trail Entry</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Audit Trail Entry</em>'.
	 * @see WorkflowLog.ProcessInstanceType#getAuditTrailEntry()
	 * @see #getProcessInstanceType()
	 * @generated
	 */
	EReference getProcessInstanceType_AuditTrailEntry();

	/**
	 * Returns the meta object for the attribute '{@link WorkflowLog.ProcessInstanceType#getDescription <em>Description</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Description</em>'.
	 * @see WorkflowLog.ProcessInstanceType#getDescription()
	 * @see #getProcessInstanceType()
	 * @generated
	 */
	EAttribute getProcessInstanceType_Description();

	/**
	 * Returns the meta object for the attribute '{@link WorkflowLog.ProcessInstanceType#getId <em>Id</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Id</em>'.
	 * @see WorkflowLog.ProcessInstanceType#getId()
	 * @see #getProcessInstanceType()
	 * @generated
	 */
	EAttribute getProcessInstanceType_Id();

	/**
	 * Returns the meta object for class '{@link WorkflowLog.ProcessType <em>Process Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Process Type</em>'.
	 * @see WorkflowLog.ProcessType
	 * @generated
	 */
	EClass getProcessType();

	/**
	 * Returns the meta object for the containment reference '{@link WorkflowLog.ProcessType#getData <em>Data</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Data</em>'.
	 * @see WorkflowLog.ProcessType#getData()
	 * @see #getProcessType()
	 * @generated
	 */
	EReference getProcessType_Data();

	/**
	 * Returns the meta object for the containment reference list '{@link WorkflowLog.ProcessType#getProcessInstance <em>Process Instance</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Process Instance</em>'.
	 * @see WorkflowLog.ProcessType#getProcessInstance()
	 * @see #getProcessType()
	 * @generated
	 */
	EReference getProcessType_ProcessInstance();

	/**
	 * Returns the meta object for the attribute '{@link WorkflowLog.ProcessType#getDescription <em>Description</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Description</em>'.
	 * @see WorkflowLog.ProcessType#getDescription()
	 * @see #getProcessType()
	 * @generated
	 */
	EAttribute getProcessType_Description();

	/**
	 * Returns the meta object for the attribute '{@link WorkflowLog.ProcessType#getId <em>Id</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Id</em>'.
	 * @see WorkflowLog.ProcessType#getId()
	 * @see #getProcessType()
	 * @generated
	 */
	EAttribute getProcessType_Id();

	/**
	 * Returns the meta object for class '{@link WorkflowLog.SourceType <em>Source Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Source Type</em>'.
	 * @see WorkflowLog.SourceType
	 * @generated
	 */
	EClass getSourceType();

	/**
	 * Returns the meta object for the containment reference '{@link WorkflowLog.SourceType#getData <em>Data</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Data</em>'.
	 * @see WorkflowLog.SourceType#getData()
	 * @see #getSourceType()
	 * @generated
	 */
	EReference getSourceType_Data();

	/**
	 * Returns the meta object for the attribute '{@link WorkflowLog.SourceType#getProgram <em>Program</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Program</em>'.
	 * @see WorkflowLog.SourceType#getProgram()
	 * @see #getSourceType()
	 * @generated
	 */
	EAttribute getSourceType_Program();

	/**
	 * Returns the meta object for class '{@link WorkflowLog.TimestampType <em>Timestamp Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Timestamp Type</em>'.
	 * @see WorkflowLog.TimestampType
	 * @generated
	 */
	EClass getTimestampType();

	/**
	 * Returns the meta object for the attribute '{@link WorkflowLog.TimestampType#getValue <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Value</em>'.
	 * @see WorkflowLog.TimestampType#getValue()
	 * @see #getTimestampType()
	 * @generated
	 */
	EAttribute getTimestampType_Value();

	/**
	 * Returns the meta object for class '{@link WorkflowLog.WorkflowLogType <em>Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Type</em>'.
	 * @see WorkflowLog.WorkflowLogType
	 * @generated
	 */
	EClass getWorkflowLogType();

	/**
	 * Returns the meta object for the containment reference '{@link WorkflowLog.WorkflowLogType#getData <em>Data</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Data</em>'.
	 * @see WorkflowLog.WorkflowLogType#getData()
	 * @see #getWorkflowLogType()
	 * @generated
	 */
	EReference getWorkflowLogType_Data();

	/**
	 * Returns the meta object for the containment reference '{@link WorkflowLog.WorkflowLogType#getSource <em>Source</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Source</em>'.
	 * @see WorkflowLog.WorkflowLogType#getSource()
	 * @see #getWorkflowLogType()
	 * @generated
	 */
	EReference getWorkflowLogType_Source();

	/**
	 * Returns the meta object for the containment reference list '{@link WorkflowLog.WorkflowLogType#getProcess <em>Process</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Process</em>'.
	 * @see WorkflowLog.WorkflowLogType#getProcess()
	 * @see #getWorkflowLogType()
	 * @generated
	 */
	EReference getWorkflowLogType_Process();

	/**
	 * Returns the meta object for the attribute '{@link WorkflowLog.WorkflowLogType#getDescription <em>Description</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Description</em>'.
	 * @see WorkflowLog.WorkflowLogType#getDescription()
	 * @see #getWorkflowLogType()
	 * @generated
	 */
	EAttribute getWorkflowLogType_Description();

	/**
	 * Returns the meta object for enum '{@link WorkflowLog.Eventtypes <em>Eventtypes</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Eventtypes</em>'.
	 * @see WorkflowLog.Eventtypes
	 * @generated
	 */
	EEnum getEventtypes();

	/**
	 * Returns the meta object for data type '{@link WorkflowLog.Eventtypes <em>Eventtypes Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Eventtypes Object</em>'.
	 * @see WorkflowLog.Eventtypes
	 * @model instanceClass="WorkflowLog.Eventtypes"
	 *        extendedMetaData="name='eventtypes:Object' baseType='eventtypes'"
	 * @generated
	 */
	EDataType getEventtypesObject();

	/**
	 * Returns the factory that creates the instances of the model.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the factory that creates the instances of the model.
	 * @generated
	 */
	WorkflowLogFactory getWorkflowLogFactory();

	/**
	 * <!-- begin-user-doc -->
	 * Defines literals for the meta objects that represent
	 * <ul>
	 *   <li>each class,</li>
	 *   <li>each feature of each class,</li>
	 *   <li>each operation of each class,</li>
	 *   <li>each enum,</li>
	 *   <li>and each data type</li>
	 * </ul>
	 * <!-- end-user-doc -->
	 * @generated
	 */
	interface Literals {
		/**
		 * The meta object literal for the '{@link WorkflowLog.impl.AttributeTypeImpl <em>Attribute Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see WorkflowLog.impl.AttributeTypeImpl
		 * @see WorkflowLog.impl.WorkflowLogPackageImpl#getAttributeType()
		 * @generated
		 */
		EClass ATTRIBUTE_TYPE = eINSTANCE.getAttributeType();

		/**
		 * The meta object literal for the '<em><b>Value</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ATTRIBUTE_TYPE__VALUE = eINSTANCE.getAttributeType_Value();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ATTRIBUTE_TYPE__NAME = eINSTANCE.getAttributeType_Name();

		/**
		 * The meta object literal for the '{@link WorkflowLog.impl.AuditTrailEntryTypeImpl <em>Audit Trail Entry Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see WorkflowLog.impl.AuditTrailEntryTypeImpl
		 * @see WorkflowLog.impl.WorkflowLogPackageImpl#getAuditTrailEntryType()
		 * @generated
		 */
		EClass AUDIT_TRAIL_ENTRY_TYPE = eINSTANCE.getAuditTrailEntryType();

		/**
		 * The meta object literal for the '<em><b>Data</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference AUDIT_TRAIL_ENTRY_TYPE__DATA = eINSTANCE.getAuditTrailEntryType_Data();

		/**
		 * The meta object literal for the '<em><b>Workflow Model Element</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute AUDIT_TRAIL_ENTRY_TYPE__WORKFLOW_MODEL_ELEMENT = eINSTANCE.getAuditTrailEntryType_WorkflowModelElement();

		/**
		 * The meta object literal for the '<em><b>Event Type</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference AUDIT_TRAIL_ENTRY_TYPE__EVENT_TYPE = eINSTANCE.getAuditTrailEntryType_EventType();

		/**
		 * The meta object literal for the '<em><b>Timestamp</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference AUDIT_TRAIL_ENTRY_TYPE__TIMESTAMP = eINSTANCE.getAuditTrailEntryType_Timestamp();

		/**
		 * The meta object literal for the '<em><b>Originator</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute AUDIT_TRAIL_ENTRY_TYPE__ORIGINATOR = eINSTANCE.getAuditTrailEntryType_Originator();

		/**
		 * The meta object literal for the '{@link WorkflowLog.impl.DataTypeImpl <em>Data Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see WorkflowLog.impl.DataTypeImpl
		 * @see WorkflowLog.impl.WorkflowLogPackageImpl#getDataType()
		 * @generated
		 */
		EClass DATA_TYPE = eINSTANCE.getDataType();

		/**
		 * The meta object literal for the '<em><b>Attribute</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference DATA_TYPE__ATTRIBUTE = eINSTANCE.getDataType_Attribute();

		/**
		 * The meta object literal for the '{@link WorkflowLog.impl.DocumentRootImpl <em>Document Root</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see WorkflowLog.impl.DocumentRootImpl
		 * @see WorkflowLog.impl.WorkflowLogPackageImpl#getDocumentRoot()
		 * @generated
		 */
		EClass DOCUMENT_ROOT = eINSTANCE.getDocumentRoot();

		/**
		 * The meta object literal for the '<em><b>Mixed</b></em>' attribute list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute DOCUMENT_ROOT__MIXED = eINSTANCE.getDocumentRoot_Mixed();

		/**
		 * The meta object literal for the '<em><b>XMLNS Prefix Map</b></em>' map feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference DOCUMENT_ROOT__XMLNS_PREFIX_MAP = eINSTANCE.getDocumentRoot_XMLNSPrefixMap();

		/**
		 * The meta object literal for the '<em><b>XSI Schema Location</b></em>' map feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference DOCUMENT_ROOT__XSI_SCHEMA_LOCATION = eINSTANCE.getDocumentRoot_XSISchemaLocation();

		/**
		 * The meta object literal for the '<em><b>Audit Trail Entry</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference DOCUMENT_ROOT__AUDIT_TRAIL_ENTRY = eINSTANCE.getDocumentRoot_AuditTrailEntry();

		/**
		 * The meta object literal for the '<em><b>Data</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference DOCUMENT_ROOT__DATA = eINSTANCE.getDocumentRoot_Data();

		/**
		 * The meta object literal for the '<em><b>Process</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference DOCUMENT_ROOT__PROCESS = eINSTANCE.getDocumentRoot_Process();

		/**
		 * The meta object literal for the '<em><b>Process Instance</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference DOCUMENT_ROOT__PROCESS_INSTANCE = eINSTANCE.getDocumentRoot_ProcessInstance();

		/**
		 * The meta object literal for the '<em><b>Source</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference DOCUMENT_ROOT__SOURCE = eINSTANCE.getDocumentRoot_Source();

		/**
		 * The meta object literal for the '<em><b>Workflow Log</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference DOCUMENT_ROOT__WORKFLOW_LOG = eINSTANCE.getDocumentRoot_WorkflowLog();

		/**
		 * The meta object literal for the '{@link WorkflowLog.impl.EventTypeTypeImpl <em>Event Type Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see WorkflowLog.impl.EventTypeTypeImpl
		 * @see WorkflowLog.impl.WorkflowLogPackageImpl#getEventTypeType()
		 * @generated
		 */
		EClass EVENT_TYPE_TYPE = eINSTANCE.getEventTypeType();

		/**
		 * The meta object literal for the '<em><b>Value</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute EVENT_TYPE_TYPE__VALUE = eINSTANCE.getEventTypeType_Value();

		/**
		 * The meta object literal for the '<em><b>Unknowntype</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute EVENT_TYPE_TYPE__UNKNOWNTYPE = eINSTANCE.getEventTypeType_Unknowntype();

		/**
		 * The meta object literal for the '{@link WorkflowLog.impl.ProcessInstanceTypeImpl <em>Process Instance Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see WorkflowLog.impl.ProcessInstanceTypeImpl
		 * @see WorkflowLog.impl.WorkflowLogPackageImpl#getProcessInstanceType()
		 * @generated
		 */
		EClass PROCESS_INSTANCE_TYPE = eINSTANCE.getProcessInstanceType();

		/**
		 * The meta object literal for the '<em><b>Data</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference PROCESS_INSTANCE_TYPE__DATA = eINSTANCE.getProcessInstanceType_Data();

		/**
		 * The meta object literal for the '<em><b>Audit Trail Entry</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference PROCESS_INSTANCE_TYPE__AUDIT_TRAIL_ENTRY = eINSTANCE.getProcessInstanceType_AuditTrailEntry();

		/**
		 * The meta object literal for the '<em><b>Description</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PROCESS_INSTANCE_TYPE__DESCRIPTION = eINSTANCE.getProcessInstanceType_Description();

		/**
		 * The meta object literal for the '<em><b>Id</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PROCESS_INSTANCE_TYPE__ID = eINSTANCE.getProcessInstanceType_Id();

		/**
		 * The meta object literal for the '{@link WorkflowLog.impl.ProcessTypeImpl <em>Process Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see WorkflowLog.impl.ProcessTypeImpl
		 * @see WorkflowLog.impl.WorkflowLogPackageImpl#getProcessType()
		 * @generated
		 */
		EClass PROCESS_TYPE = eINSTANCE.getProcessType();

		/**
		 * The meta object literal for the '<em><b>Data</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference PROCESS_TYPE__DATA = eINSTANCE.getProcessType_Data();

		/**
		 * The meta object literal for the '<em><b>Process Instance</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference PROCESS_TYPE__PROCESS_INSTANCE = eINSTANCE.getProcessType_ProcessInstance();

		/**
		 * The meta object literal for the '<em><b>Description</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PROCESS_TYPE__DESCRIPTION = eINSTANCE.getProcessType_Description();

		/**
		 * The meta object literal for the '<em><b>Id</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PROCESS_TYPE__ID = eINSTANCE.getProcessType_Id();

		/**
		 * The meta object literal for the '{@link WorkflowLog.impl.SourceTypeImpl <em>Source Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see WorkflowLog.impl.SourceTypeImpl
		 * @see WorkflowLog.impl.WorkflowLogPackageImpl#getSourceType()
		 * @generated
		 */
		EClass SOURCE_TYPE = eINSTANCE.getSourceType();

		/**
		 * The meta object literal for the '<em><b>Data</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference SOURCE_TYPE__DATA = eINSTANCE.getSourceType_Data();

		/**
		 * The meta object literal for the '<em><b>Program</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SOURCE_TYPE__PROGRAM = eINSTANCE.getSourceType_Program();

		/**
		 * The meta object literal for the '{@link WorkflowLog.impl.TimestampTypeImpl <em>Timestamp Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see WorkflowLog.impl.TimestampTypeImpl
		 * @see WorkflowLog.impl.WorkflowLogPackageImpl#getTimestampType()
		 * @generated
		 */
		EClass TIMESTAMP_TYPE = eINSTANCE.getTimestampType();

		/**
		 * The meta object literal for the '<em><b>Value</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TIMESTAMP_TYPE__VALUE = eINSTANCE.getTimestampType_Value();

		/**
		 * The meta object literal for the '{@link WorkflowLog.impl.WorkflowLogTypeImpl <em>Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see WorkflowLog.impl.WorkflowLogTypeImpl
		 * @see WorkflowLog.impl.WorkflowLogPackageImpl#getWorkflowLogType()
		 * @generated
		 */
		EClass WORKFLOW_LOG_TYPE = eINSTANCE.getWorkflowLogType();

		/**
		 * The meta object literal for the '<em><b>Data</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference WORKFLOW_LOG_TYPE__DATA = eINSTANCE.getWorkflowLogType_Data();

		/**
		 * The meta object literal for the '<em><b>Source</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference WORKFLOW_LOG_TYPE__SOURCE = eINSTANCE.getWorkflowLogType_Source();

		/**
		 * The meta object literal for the '<em><b>Process</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference WORKFLOW_LOG_TYPE__PROCESS = eINSTANCE.getWorkflowLogType_Process();

		/**
		 * The meta object literal for the '<em><b>Description</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute WORKFLOW_LOG_TYPE__DESCRIPTION = eINSTANCE.getWorkflowLogType_Description();

		/**
		 * The meta object literal for the '{@link WorkflowLog.Eventtypes <em>Eventtypes</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see WorkflowLog.Eventtypes
		 * @see WorkflowLog.impl.WorkflowLogPackageImpl#getEventtypes()
		 * @generated
		 */
		EEnum EVENTTYPES = eINSTANCE.getEventtypes();

		/**
		 * The meta object literal for the '<em>Eventtypes Object</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see WorkflowLog.Eventtypes
		 * @see WorkflowLog.impl.WorkflowLogPackageImpl#getEventtypesObject()
		 * @generated
		 */
		EDataType EVENTTYPES_OBJECT = eINSTANCE.getEventtypesObject();

	}

} //WorkflowLogPackage
