package WorkflowLog.test;

import java.io.File;

import org.eclipse.emf.common.util.URI;
import org.eclipse.emf.ecore.resource.ResourceSet;
import org.eclipse.emf.ecore.resource.impl.ResourceFactoryRegistryImpl;
import org.eclipse.emf.ecore.resource.impl.ResourceSetImpl;
import org.eclipse.emf.ecore.xmi.impl.XMIResourceFactoryImpl;
import org.junit.Before;

import WorkflowLog.util.WorkflowLogResourceFactoryImpl;
import WorkflowLog.util.WorkflowLogSerializer;


public class Values2Events2WorkflowExtractor {

	ResourceSet resourceSet = null;
	
	@Before
	public void setUp() throws Exception {
		resourceSet = new ResourceSetImpl();
		
		ResourceFactoryRegistryImpl.INSTANCE.getExtensionToFactoryMap()
			.put("xml", new WorkflowLogResourceFactoryImpl());
	
		ResourceFactoryRegistryImpl.INSTANCE.getExtensionToFactoryMap()
			.put("xmi", new XMIResourceFactoryImpl());
	}
	
	@org.junit.Test
	public void testRoundTrip() throws Exception{

		
		WorkflowLogSerializer serializer = new WorkflowLogSerializer();
		
		URI modelURI = URI.createFileURI(new File("example/output_log.xmi").getAbsolutePath());
		serializer.writeXML(resourceSet.getResource(modelURI, true), "example/output_log.xml");
	}

}
